package net.wanji.databus.dao.mapper;

import net.wanji.databus.po.CrossLaneLightsPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/12/20 10:32
 */
@Repository
public interface CrossLaneLightsMapper {
    void deleteByLaneIds(@Param("laneIds") List<String> laneIds);

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") List<CrossLaneLightsPO> entities);

    // todo 只返回进口车道
    String selectLightsCodeByLaneId(@Param("laneId") String laneId);

    Integer selectLightsIdByLaneId(@Param("crossId") String crossId, @Param("laneId") String laneId);

    List<CrossLaneLightsPO> selectLanesByLightId(@Param("crossId") String crossId,
                                                 @Param("lightId") Integer lightId);

    List<CrossLaneLightsPO> selectByLightsId(@Param("lightsId") Integer lightsId);
}
