package net.wanji.databus.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/1/3 9:40
 */
@Data
public class CrossLightsPO {
    /** 灯组ID */
    @ApiModelProperty(name = "灯组ID",notes = "")
    private Integer id ;
    /** 灯组号 */
    @ApiModelProperty(name = "灯组号",notes = "")
    private String lightsNo ;
    /** 灯组类型：机动车（1圆饼灯；2左转灯；3直行灯；4右转灯；5掉头灯；）；非机动车（10非机动车灯；11左转灯；12直行灯；13右转灯；14掉头灯）；20行人灯；21行人进口灯；22行人出口灯；30公交专用灯 */
    @ApiModelProperty(name = "灯组类型：机动车（1圆饼灯；2左转灯；3直行灯；4右转灯；5掉头灯；）；非机动车（10非机动车灯；11左转灯；12直行灯；13右转灯；14掉头灯）；20行人灯；21行人进口灯；22行人出口灯；30公交专用灯",notes = "")
    // 来自UTC时，灯组类型：1箭头，2圆饼，3行人
    private Integer type ;
    /** 灯组放行方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "灯组放行方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer dir ;
    /** 灯组序号 */
    @ApiModelProperty(name = "灯组序号",notes = "")
    private Integer sort = 0 ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 车道转向，用于接收UTC回传数据 */
    @ApiModelProperty(name = "车道转向：1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头",notes = "")
    private Integer turn ;
    /** 行人进出口，用于接收UTC回传数据 */
    @ApiModelProperty(name = "行人进出口：1进口，2出口，3进出口",notes = "")
    private Integer inOutType ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
